Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1572911 - [abrt] PackageKit: ptr_array_free(): packagekitd killed by SIGABRT
Summary: [abrt] PackageKit: ptr_array_free(): packagekitd killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bd2604f26b90b2b09c46d4582dd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-28 16:58 UTC by Joachim Frieben
Modified: 2018-11-30 21:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:17:14 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (25.01 KB, text/plain)
2018-04-28 16:58 UTC, Joachim Frieben
no flags Details
File: cgroup (184 bytes, text/plain)
2018-04-28 16:58 UTC, Joachim Frieben
no flags Details
File: core_backtrace (12.20 KB, text/plain)
2018-04-28 16:58 UTC, Joachim Frieben
no flags Details
File: cpuinfo (1010 bytes, text/plain)
2018-04-28 16:58 UTC, Joachim Frieben
no flags Details
File: dso_list (8.36 KB, text/plain)
2018-04-28 16:58 UTC, Joachim Frieben
no flags Details
File: environ (191 bytes, text/plain)
2018-04-28 16:58 UTC, Joachim Frieben
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-28 16:58 UTC, Joachim Frieben
no flags Details
File: maps (38.98 KB, text/plain)
2018-04-28 16:58 UTC, Joachim Frieben
no flags Details
File: mountinfo (3.98 KB, text/plain)
2018-04-28 16:58 UTC, Joachim Frieben
no flags Details
File: open_fds (2.71 KB, text/plain)
2018-04-28 16:58 UTC, Joachim Frieben
no flags Details
File: proc_pid_status (1.23 KB, text/plain)
2018-04-28 16:58 UTC, Joachim Frieben
no flags Details
File: var_log_messages (491 bytes, text/plain)
2018-04-28 16:58 UTC, Joachim Frieben
no flags Details

Description Joachim Frieben 2018-04-28 16:58:05 UTC
Version-Release number of selected component:
PackageKit-1.1.9-3.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: ptr_array_free
executable:     /usr/libexec/packagekitd
journald_cursor: s=c4a29f57eae24317a234e0de02636e85;i=19a6;b=41fadb6cd3994ef48eb434f03e5b2a38;m=605aa835;t=56ae9a3c48d00;x=3066a54b9c3c9eea
kernel:         4.15.16-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 1 Joachim Frieben 2018-04-28 16:58:12 UTC
Created attachment 1428169 [details]
File: backtrace

Comment 2 Joachim Frieben 2018-04-28 16:58:13 UTC
Created attachment 1428170 [details]
File: cgroup

Comment 3 Joachim Frieben 2018-04-28 16:58:15 UTC
Created attachment 1428171 [details]
File: core_backtrace

Comment 4 Joachim Frieben 2018-04-28 16:58:16 UTC
Created attachment 1428172 [details]
File: cpuinfo

Comment 5 Joachim Frieben 2018-04-28 16:58:18 UTC
Created attachment 1428173 [details]
File: dso_list

Comment 6 Joachim Frieben 2018-04-28 16:58:19 UTC
Created attachment 1428174 [details]
File: environ

Comment 7 Joachim Frieben 2018-04-28 16:58:21 UTC
Created attachment 1428175 [details]
File: limits

Comment 8 Joachim Frieben 2018-04-28 16:58:23 UTC
Created attachment 1428176 [details]
File: maps

Comment 9 Joachim Frieben 2018-04-28 16:58:24 UTC
Created attachment 1428177 [details]
File: mountinfo

Comment 10 Joachim Frieben 2018-04-28 16:58:26 UTC
Created attachment 1428178 [details]
File: open_fds

Comment 11 Joachim Frieben 2018-04-28 16:58:27 UTC
Created attachment 1428179 [details]
File: proc_pid_status

Comment 12 Joachim Frieben 2018-04-28 16:58:28 UTC
Created attachment 1428180 [details]
File: var_log_messages

Comment 13 Ben Cotton 2018-11-27 15:59:24 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2018-11-30 21:17:14 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.